Create Recipient
curl --request POST \
--url https://api.example.com/v1/ramp/recipientsimport requests
url = "https://api.example.com/v1/ramp/recipients"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/ramp/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ramping — Recipients
Create Recipient
POST /v1/ramp/recipients — Create a new recipient and initiate KYB verification
POST
/
v1
/
ramp
/
recipients
Create Recipient
Endpoint:
POST https://api.rebelfi.io/v1/ramp/recipientsRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Recipient name |
type | string | No | Recipient type (default: "business") |
external_id | string | No | Your external reference ID |
address | object | No | Recipient address (required before creating off-ramp accounts) |
address.street1 | string | Yes* | Street address line 1 (*required if address is provided) |
address.street2 | string | No | Street address line 2 |
address.city | string | Yes* | City (*required if address is provided) |
address.region | string | No | State or region |
address.postal_code | string | No | Postal code |
address.country | string | No | Country code (default: "US") |
Example Request
curl -X POST "https://api.rebelfi.io/v1/ramp/recipients" \
-H "x-api-key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "OnEdge",
"type": "business",
"external_id": "ref-123"
}'
const recipient = await client.ramp.createRecipient({
name: 'OnEdge',
type: 'business',
externalId: 'ref-123'
});
Example Response
{
"id": 1,
"name": "OnEdge",
"type": "business",
"external_id": "ref-123",
"kyb_status": "pending",
"kyb_url": "https://kyb.provider.com/verify/abc123",
"created_at": "2025-06-01T12:00:00.000Z"
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | number | Recipient identifier |
name | string | Recipient name |
type | string | Recipient type |
external_id | string? | Your external reference ID |
kyb_status | string | KYB verification status (pending) |
kyb_url | string | URL for the recipient to complete KYB verification |
created_at | string | Creation timestamp (ISO 8601) |
The
kyb_url is the link you send to the recipient for KYB verification. The recipient must complete verification before they can be used for off-ramp operations.